Bug 229974 - math/stp: Update to 2.3.1
Summary: math/stp: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-23 01:35 UTC by Yuri Victorovich
Modified: 2018-07-28 06:46 UTC (History)
3 users (show)

See Also:


Attachments
Updated and made easier to read (2.36 KB, patch)
2018-07-23 03:22 UTC, Nathan
no flags Details | Diff
Updated patch (2.32 KB, patch)
2018-07-23 03:42 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-07-23 01:35:50 UTC
See:
* Repology: https://repology.org/metapackage/stp/versions
* Arch linux port: https://aur.archlinux.org/packages/stp

Thanks,
Yuri
Comment 1 Bugzilla Automation freebsd_committer 2018-07-23 01:35:50 UTC
Maintainer informed via mail
Comment 2 Yuri Victorovich freebsd_committer 2018-07-23 02:23:53 UTC
Please also only build shared library, and remove the static library.
Comment 3 Nathan 2018-07-23 03:22:20 UTC
Created attachment 195382 [details]
Updated and made easier to read

Try and see if this will work to what you guys are asking for.  I've also "prettied" the file up
Comment 4 Yuri Victorovich freebsd_committer 2018-07-23 03:42:07 UTC
Created attachment 195383 [details]
Updated patch

Thank you, Nathan for the patch!
I further updated it.

Now we need to wait for the 6 y.o.'s approval.

Yuri
Comment 5 Nathan 2018-07-23 03:45:36 UTC
(In reply to Yuri Victorovich from comment #4)
Sorry Yuri, Tried to make it set for 6yo's approval flag
Comment 6 Nathan 2018-07-23 03:49:17 UTC
(In reply to Yuri Victorovich from comment #4)
The patch you listed, shows the old version
Comment 7 Nathan 2018-07-23 03:50:30 UTC
(In reply to Nathan from comment #6)
Eh scratch that :) it's late
Comment 8 Yuri Victorovich freebsd_committer 2018-07-23 03:51:29 UTC
Why? 2.3.1 is the latest version: https://repology.org/metapackage/stp/versions
Comment 9 Yuri Victorovich freebsd_committer 2018-07-23 03:51:47 UTC
Ok!
Comment 10 Fernando Apesteguía freebsd_committer 2018-07-24 13:14:52 UTC
2.3.1 has been committed (r475224).

Can this be closed?
Comment 11 Gleb Popov freebsd_committer 2018-07-25 08:38:28 UTC
When commiting my own update to STP I missed this bug.

What's the reason for

RUN_DEPENDS=	minisat:math/minisat

line? Does STP really need minisat executable at runtime?

Why USES=shebangfix is needed? I see no shellscripts there.

Why CMAKE_ON=	BUILD_SHARED_LIBS ? Shared library is built by default.

Finally, why CMAKE_OFF=	ENABLE_PYTHON_INTERFACE ? Any problem with it?
Comment 12 Yuri Victorovich freebsd_committer 2018-07-25 19:04:14 UTC
(In reply to Gleb Popov from comment #11)

I didn't submit this patch, somebody else did.
I only said that you didn't close this bug. -)
Comment 13 Nathan 2018-07-25 20:32:42 UTC
The build shared part was so it’d build shared libraries which was suggested to do
Comment 14 Yuri Victorovich freebsd_committer 2018-07-25 20:33:54 UTC
(In reply to Nathan from comment #13)

Yes, but for the new version this is a default.
Comment 15 commit-hook freebsd_committer 2018-07-28 06:46:49 UTC
A commit references this bug:

Author: arrowd
Date: Sat Jul 28 06:46:11 UTC 2018
New revision: 475500
URL: https://svnweb.freebsd.org/changeset/ports/475500

Log:
  math/stp: Pull in fixes from the PR I missed.

  PR:		229974
  Submitted by:	yuri, Nathan <ndowens.fbsd@yandex.com>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16447

Changes:
  head/math/stp/Makefile
  head/math/stp/pkg-plist